---
updatedAt: 2026-08-04T19:21:06.000Z
agentTools:
  projectIndex: https://docs.sensible.so/llms.txt
---

# Delete draft or unpublish configuration

To delete a draft, specify a version name in the `version` parameter. To unpublish a configuration, enter the publication environment name in the `version` parameter, for example, `development`.

# OpenAPI definition

```json
{
  "openapi": "3.0.3",
  "servers": [
    {
      "url": "https://api.sensible.so/v0",
      "description": "Production server (uses live data)"
    }
  ],
  "info": {
    "title": "Configuration",
    "version": "0.0.1",
    "description": "Sensible API for configuring document types, SenseML configurations, and reference documents.",
    "license": {
      "name": "Sensible API",
      "url": "https://www.TBD.org/licenses/LICENSE-2.0.html"
    }
  },
  "paths": {
    "/document_types/{type-id}/configurations/{config-name}/{version}": {
      "parameters": [
        {
          "$ref": "#/components/parameters/documentTypeId"
        },
        {
          "$ref": "#/components/parameters/configurationName"
        },
        {
          "$ref": "#/components/parameters/versionIdentifier"
        }
      ],
      "delete": {
        "operationId": "delete-configuration-by-version",
        "summary": "Delete draft or unpublish configuration",
        "description": "To delete a draft, specify a version name in the `version` parameter. To unpublish a configuration, enter the publication environment name in the `version` parameter, for example, `development`.",
        "tags": [
          "Configuration"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/documentTypeId"
          },
          {
            "$ref": "#/components/parameters/configurationName"
          },
          {
            "in": "path",
            "name": "version",
            "required": true,
            "description": "if unpublishing a configuration from an environment, the name of the environment (`development`, `production`.) If deleting the current draft, the version number of the current draft.",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "204": {
            "$ref": "#/components/responses/204"
          },
          "400": {
            "$ref": "#/components/responses/400"
          },
          "401": {
            "$ref": "#/components/responses/401"
          },
          "404": {
            "$ref": "#/components/responses/404"
          },
          "415": {
            "$ref": "#/components/responses/415"
          },
          "500": {
            "$ref": "#/components/responses/500"
          }
        }
      }
    }
  },
  "components": {
    "parameters": {
      "documentTypeId": {
        "name": "type-id",
        "required": true,
        "in": "path",
        "description": "The unique document type identifier in v4 UUID format. Find IDs using the `/document_types` endpoint.",
        "schema": {
          "$ref": "#/components/schemas/UniqueId"
        }
      },
      "configurationName": {
        "name": "config-name",
        "required": true,
        "in": "path",
        "description": "Unique name for a configuration. Find it in the Sensible app or from the `/document_types/{type-id}/configurations` endpoint.",
        "example": "anyco_auto_insurance_quote",
        "schema": {
          "$ref": "#/components/schemas/Name"
        }
      },
      "versionIdentifier": {
        "name": "version",
        "required": true,
        "in": "path",
        "description": "Unique identifier for a configuration version.",
        "schema": {
          "type": "string"
        }
      }
    },
    "schemas": {
      "UniqueId": {
        "type": "string",
        "format": "uuid",
        "description": "Unique identifier",
        "example": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
      },
      "Name": {
        "type": "string",
        "pattern": "^[a-z0-9_]+$",
        "minLength": 3,
        "maxLength": 128,
        "description": "User-friendly name",
        "example": "insurance_quote",
        "x-internal-note": "Single shared schema covers config names, document type names, and golden names. You can achieve context-specific examples for the purpose of the API docs ('auto_insurance_quotes_all_carriers', 'anyco_carrier', 'insurance_quote_john_doe' for doc type, config, and document, for example) using allOf wrappers at each usage site, but we're not bothering right now, given codegen is a primary consumer and a single neutral example is sufficient."
      }
    },
    "responses": {
      "204": {
        "description": "No content. The response has an empty body and no `Content-Type` header."
      },
      "400": {
        "description": "Bad Request",
        "content": {
          "text/plain": {
            "schema": {
              "title": "Bad Request",
              "type": "string",
              "example": "Either a specific set of messages about fields in the request, or error messages like the following examples - Not available to logged in users To use the asynchronous flow you must have persistence enabled Specified document type does not exist Specified document type ${named type} does not exist No published configurations found for environment ${environment} Specified golden does not exist Specified configuration/version does not exist Specified configuration/version is not valid Must provide the Content-Type header when request body is present Content-Type must be application/json Missing request body or body.document Could not determine the content type of the document Could not determine the content type of the document. Please check that the document was correctly encoded as Base64 This PDF is invalid. If you submitted this PDF using Base64 encoding, please check that the encoding is correct This PDF is password protected. Please resubmit with password protection disabled This PDF is empty This PDF exceeds the maximum dimensions for OCR of 17 x 17 inches This PDF exceeds the maximum size for OCR of 50MB No fingerprints match for this PDF and fingerprint_mode is set to strict Content type of ${found} does not match declared type of ${expected} Document is not present"
            }
          }
        }
      },
      "401": {
        "description": "Not authorized",
        "content": {
          "text/plain": {
            "schema": {
              "title": "Unauthorized",
              "type": "string",
              "example": "Unauthorized"
            }
          }
        }
      },
      "404": {
        "description": "Not Found",
        "content": {
          "text/plain": {
            "schema": {
              "title": "Not Found",
              "type": "string"
            }
          }
        }
      },
      "415": {
        "description": "Unsupported Media Type",
        "content": {
          "text/plain": {
            "schema": {
              "title": "Unsupported Media Type",
              "type": "string",
              "example": "Messages related to the file format of the document to extract data from."
            }
          }
        }
      },
      "500": {
        "description": "Internal Server Error",
        "content": {
          "text/plain": {
            "schema": {
              "title": "Sensible encountered an unknown error",
              "type": "string",
              "example": "Sensible encountered an unknown error"
            }
          }
        }
      }
    },
    "securitySchemes": {
      "bearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "Sensible uses API keys to authenticate requests. Keep your API keys secure and do not share them publicly accessible areas such as GitHub, client-side code, etc. Authentication to the API is performed via Bearer Authentication. Provide your API key as the bearer auth value."
      }
    }
  },
  "security": [
    {
      "bearerAuth": []
    }
  ]
}
```